use archive::WebsiteArchive;
use based::get_pg;
use rocket::routes;

mod pages;
mod archive;

#[rocket::launch]
async fn launch() -> _ {
    env_logger::init();

    // let pg = get_pg!();
    // sqlx::migrate!("./migrations").run(pg).await.unwrap();

    let arc = WebsiteArchive::new("./websites");

    rocket::build()
        .mount(
            "/",
            routes![
                pages::index,
                pages::render_website
            ],
        )
        .manage(arc)
}
