use std::path::PathBuf;

use based::request::{respond_html, StringResponse};
use maud::html;
use rocket::{get, State};

use crate::archive::WebsiteArchive;

#[get("/")]
pub async fn index() -> StringResponse {
    // TODO : websites overview grid
    unimplemented!()
}

#[get("/s/<domain>/<path..>?<time>")]
pub async fn render_website(domain: &str, path: PathBuf, time: Option<&str>, arc: &State<WebsiteArchive>) -> StringResponse {
    if let Some(time) = time {
        respond_html(&arc.get_domain(domain).path(path.to_str().unwrap()).render_local(Some(time.to_string())))
    } else {
        respond_html(&arc.get_domain(domain).path(path.to_str().unwrap()).render_local(None))
    }
}
